-- MySQL dump 10.13  Distrib 8.0.19, for macos10.15 (x86_64)
--
-- Host: localhost    Database: articoli
-- ------------------------------------------------------
-- Server version	8.0.19

/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `ar`
--

DROP TABLE IF EXISTS `ar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ar` (
  `titolo` varchar(30) NOT NULL,
  `rivista` varchar(20) NOT NULL,
  `data` date DEFAULT NULL,
  PRIMARY KEY (`titolo`),
  KEY `rivista` (`rivista`),
  CONSTRAINT `ar_ibfk_1` FOREIGN KEY (`rivista`) REFERENCES `ri` (`rivista`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ar`
--

LOCK TABLES `ar` WRITE;
/*!40000 ALTER TABLE `ar` DISABLE KEYS */;
INSERT INTO `ar` VALUES ('database','Computer Science','2000-04-29'),('i quanti','IEEE-Review','2000-04-28'),('le catene di Markov','Computer Science','2000-04-21'),('macchine e teoria','le Scienze','2000-04-28'),('mysql','le Scienze','2000-04-28'),('teoria della programmazione','IEEE-Review','2000-04-21');
/*!40000 ALTER TABLE `ar` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `arau`
--

DROP TABLE IF EXISTS `arau`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `arau` (
  `titolo` varchar(30) NOT NULL,
  `autore` varchar(20) NOT NULL,
  PRIMARY KEY (`titolo`,`autore`),
  KEY `titolo` (`titolo`),
  CONSTRAINT `arau_ibfk_1` FOREIGN KEY (`titolo`) REFERENCES `ar` (`titolo`),
  KEY `autore` (`autore`),
  CONSTRAINT `arau_ibfk_2` FOREIGN KEY (`autore`) REFERENCES `au` (`autore`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `arau`
--

LOCK TABLES `arau` WRITE;
/*!40000 ALTER TABLE `arau` DISABLE KEYS */;
INSERT INTO `arau` VALUES ('database','moscarini'),('i quanti','berretti'),('le catene di Markov','calzolari'),('macchine e teoria','gambosi'),('macchine e teoria','vigliano'),('mysql','vigliano'),('teoria della programmazione','moscarini');
/*!40000 ALTER TABLE `arau` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `arau2`
--

DROP TABLE IF EXISTS `arau2`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `arau2` (
  `titolo` varchar(20) NOT NULL,
  `autore` varchar(20) NOT NULL,
  PRIMARY KEY (`titolo`,`autore`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `arau2`
--

LOCK TABLES `arau2` WRITE;
/*!40000 ALTER TABLE `arau2` DISABLE KEYS */;
/*!40000 ALTER TABLE `arau2` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `au`
--

DROP TABLE IF EXISTS `au`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `au` (
  `autore` varchar(20) NOT NULL,
  `qualif` char(1) DEFAULT NULL,
  `citta` varchar(20) DEFAULT NULL,
  `data` date DEFAULT NULL,
  `dip` char(2) DEFAULT NULL,
  `sal` int DEFAULT NULL,
  PRIMARY KEY (`autore`),
  KEY `qualif` (`qualif`),
  CONSTRAINT `au_ibfk_1` FOREIGN KEY (`qualif`) REFERENCES `qu` (`qualif`),
  KEY `dip` (`dip`),
  CONSTRAINT `au_ibfk_2` FOREIGN KEY (`dip`) REFERENCES `dip` (`dipnum`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `au`
--

LOCK TABLES `au` WRITE;
/*!40000 ALTER TABLE `au` DISABLE KEYS */;
INSERT INTO `au` VALUES ('aggiunto','A','milano','2016-12-12','10',3000),('berretti','R','roma','2002-10-15','20',2500),('calzolari','R','brescia','1998-12-01','20',2500),('gambosi','O','roma','2000-11-01','30',3000),('moscarini','A','roma','1996-05-03','10',3000),('vigliano','D','roma','2001-03-01','10',1500);
/*!40000 ALTER TABLE `au` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dip`
--

DROP TABLE IF EXISTS `dip`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dip` (
  `dipnum` char(2) NOT NULL,
  `nome` varchar(20) DEFAULT NULL,
  `sede` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`dipnum`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dip`
--

LOCK TABLES `dip` WRITE;
/*!40000 ALTER TABLE `dip` DISABLE KEYS */;
INSERT INTO `dip` VALUES ('10','matematica','sogene'),('20','fisica','infn'),('30','informatica','sogene'),('40','specialistica','nestor');
/*!40000 ALTER TABLE `dip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qu`
--

DROP TABLE IF EXISTS `qu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qu` (
  `qualif` char(1) NOT NULL,
  `descriz` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`qualif`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qu`
--

LOCK TABLES `qu` WRITE;
/*!40000 ALTER TABLE `qu` DISABLE KEYS */;
INSERT INTO `qu` VALUES ('A','associato'),('D','dottorando'),('O','ordinario'),('R','ricercatore');
/*!40000 ALTER TABLE `qu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ri`
--

DROP TABLE IF EXISTS `ri`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ri` (
  `rivista` varchar(20) NOT NULL,
  `costo` int DEFAULT NULL,
  `editore` varchar(20) NOT NULL,
  PRIMARY KEY (`rivista`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ri`
--

LOCK TABLES `ri` WRITE;
/*!40000 ALTER TABLE `ri` DISABLE KEYS */;
INSERT INTO `ri` VALUES ('Computer Science',30,'bit'),('IEEE-Review',45,'boh press'),('le Scienze',15,'bit');
/*!40000 ALTER TABLE `ri` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-03-05 15:39:33
